org.apache.lucene.codecs.lucene41

## Class Lucene41StoredFieldsIndexReader

- java.lang.Object
- - org.apache.lucene.codecs.lucene41.Lucene41StoredFieldsIndexReader

- All Implemented Interfaces:
    Cloneable, Accountable

  Deprecated.
  only for reading old segments

      @Deprecated
      public final class Lucene41StoredFieldsIndexReader
      extends Object
      implements Cloneable, Accountable

  Reader for 4.x stored fields/term vectors index

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene41StoredFieldsIndexReader(IndexInput fieldsIndexIn, SegmentInfo si)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Lucene41StoredFieldsIndexReader` | `clone()` Deprecated.
    `Collection<Accountable>` | `getChildResources()` Deprecated.
    `long` | `getStartPointer(int docID)` Deprecated.
    `long` | `ramBytesUsed()` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene41StoredFieldsIndexReader

          public Lucene41StoredFieldsIndexReader(IndexInput fieldsIndexIn,
                                         SegmentInfo si)
                                          throws IOException

      Deprecated.
      Throws:
        `IOException`

  - ### Method Detail

    - #### getStartPointer

          public long getStartPointer(int docID)

      Deprecated.

    - #### clone

          public Lucene41StoredFieldsIndexReader clone()

      Deprecated.
      Overrides:
        `clone` in class `Object`

    - #### ramBytesUsed

          public long ramBytesUsed()

      Deprecated.
      Specified by:
        `ramBytesUsed` in interface `Accountable`

    - #### getChildResources

          public Collection<Accountable> getChildResources()

      Deprecated.
      Specified by:
        `getChildResources` in interface `Accountable`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.